'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _button = require('antd-mobile/lib/button');

var _button2 = _interopRequireDefault(_button);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

require('antd-mobile/lib/button/style/css');

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

require('./BaseButton.scss');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var BaseButton = function (_Component) {
  (0, _inherits3.default)(BaseButton, _Component);

  function BaseButton() {
    (0, _classCallCheck3.default)(this, BaseButton);
    return (0, _possibleConstructorReturn3.default)(this, (BaseButton.__proto__ || Object.getPrototypeOf(BaseButton)).apply(this, arguments));
  }

  (0, _createClass3.default)(BaseButton, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          disabled = _props.disabled,
          value = _props.value,
          _onClick = _props.onClick,
          type = _props.type,
          inline = _props.inline,
          icon = _props.icon,
          className = _props.className;

      var hasClass = className || '';
      return _react2.default.createElement(
        _button2.default,
        { type: type, className: hasClass + ' zk_base_btn', icon: icon || false, disabled: disabled, inline: inline, onClick: function onClick() {
            return _onClick ? _onClick() : '';
          } },
        value
      );
    }
  }]);
  return BaseButton;
}(_react.Component);

BaseButton.propTypes = {
  disabled: _propTypes2.default.bool,
  inline: _propTypes2.default.bool,
  type: _propTypes2.default.string,
  icon: _propTypes2.default.object,
  value: _propTypes2.default.string,
  onClick: _propTypes2.default.func,
  className: _propTypes2.default.string
};

exports.default = BaseButton;
//# sourceMappingURL=BaseButton.js.map