'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _BaseButton = require('./BaseButton');

var _BaseButton2 = _interopRequireDefault(_BaseButton);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var more = require('./images/spot-three.svg');

var MoreButton = function (_Component) {
  (0, _inherits3.default)(MoreButton, _Component);

  function MoreButton() {
    var _ref;

    var _temp, _this, _ret;

    (0, _classCallCheck3.default)(this, MoreButton);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = (0, _possibleConstructorReturn3.default)(this, (_ref = MoreButton.__proto__ || Object.getPrototypeOf(MoreButton)).call.apply(_ref, [this].concat(args))), _this), _this.state = {
      showElement: false
    }, _this.showElement = function () {
      _this.setState({
        showElement: true
      });
    }, _temp), (0, _possibleConstructorReturn3.default)(_this, _ret);
  }

  (0, _createClass3.default)(MoreButton, [{
    key: 'render',
    value: function render() {
      var _this2 = this;

      var _props = this.props,
          disabled = _props.disabled,
          value = _props.value,
          inline = _props.inline,
          moreElem = _props.moreElem;
      var showElement = this.state.showElement;

      if (showElement) {
        return moreElem ? moreElem : _react2.default.createElement('div', null);
      }
      return _react2.default.createElement(_BaseButton2.default, { className: 'zk_btn_icon', icon: _react2.default.createElement('img', { src: more }), inline: inline, onClick: function onClick() {
          return _this2.showElement;
        }, value: value });
    }
  }]);
  return MoreButton;
}(_react.Component);

MoreButton.propTypes = {
  inline: _propTypes2.default.bool,
  value: _propTypes2.default.string,
  moreElem: _propTypes2.default.element
};

exports.default = MoreButton;
//# sourceMappingURL=MoreButton.js.map