import React, {Component} from 'react'
import PropTypes from 'prop-types'
import BaseButton from "./BaseButton";

class IconButton extends Component {
  render() {
    const {disabled,value,onClick,inline,icon} = this.props;
    return <BaseButton className={'zk_btn_icon'} icon={<img src={icon}/>} disabled = {disabled} inline={inline} onClick={onClick} value={value}/>
  }
}

IconButton.propTypes = {
  disabled: PropTypes.bool,
  inline: PropTypes.bool,
  value: PropTypes.string,
  icon: PropTypes.string,
  onClick:PropTypes.func,
};

export default IconButton;
