import React, {Component} from 'react'
import PropTypes from 'prop-types'
import BaseButton from "./BaseButton";

class ExtraButton extends Component {
  render() {
    const {disabled,value,onClick,inline} = this.props;
    return <BaseButton type={'ghost'} className={'zk_btn_extra'} disabled = {disabled} inline={inline} onClick={onClick} value={value}/>
  }
}

ExtraButton.propTypes = {
  disabled: PropTypes.bool,
  inline: PropTypes.bool,
  value: PropTypes.string,
  onClick:PropTypes.func,
};

export default ExtraButton;
